MAXEYE Z-Wave Measurement Suite Help

The MAXEYE Z-Wave measurement suite contains LabVIEW VIs to generate standard complaint signals and perform measurements that confirm to ITU-T G9959. Refer to the standard for the signal specifications and this document assumes that the user is familiar with the ITU-T G9959 standard specification. This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye Z-Wave SA Measure.vi

Initiates the RFSA and Fetches IQ data and performs the enabled measurements on the I/Q complex waveform that you specify in IQ parameter.
Returns the following

1. Demodulated Bits
2. PHY Payload Bytes(PPDU)
3. MAC Payload Bytes
4. MAC Frame Measurements
5. PPDU Frame Length, Chips
6. MAC Frame Parameters

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Waveform Parameters

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Timeout (s)

Instrument Handle Out

Results Handle

Frame Measurements

Power vs Time

error out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

MAXEYE TECHNOLOGIES Private Limited
Z-Wave Measurement Suite

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye Z-Wave SA Fetch Demodulation Measurements.vi

Returns the following

1. FSK Deviation Error (Hz)
2. Constellation Trace
3. Sync Found status
4. Mean Frequency Offset (Hz)
5. Mean Frequency Drift (Hz)
6. Mean FSK Deviation (Hz)
7. Mean RMS FSK Deviation Error (Hz)
8. Maximum Peak FSK Deviation Error (Hz)

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Frame Measurements

Frame Measurements

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Timeout (s)

Instrument Handle Out

error out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye Z-Wave Fetch CW Frequency Offset.vi

Returns the following.

i. Average Absolute Frequency in Hz
ii. Frequency Offset in Hz
iii. Frequency Error vs Time trace

Instrument Handle In

Carrier Frequency

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

Average Absolute Frequency (Hz)

Frequency Offset

Frequency Error Trace (Hz)

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye Z-Wave Fetch SEM Offset Segment Measurements.vi

Returns the Lower and Upper SEM offset segment measurements. The SEM offset segment measurements includes the following.

i. Total Absolotue Power
ii. Total Relative Power
iii. Peak Absolute Power
iv. Peak Relative Power
v. Peak Frequency
vi. Mask Margin
vii. Margin Absolute Power
viii. Margin Relative Power
ix. Margin Frequency
x. Measurement Status

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

Lower Offset Segment Measurements

Upper Offset Segment Measurements

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave Fetch SEM Spectrum with Mask.vi

Returns the following.

i. Spectrum Trace
ii. Absolute Mask Trace
iii. Relative Mask Trace

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxSpecAn Build Signal String VI to build the selector string.

Timeout (s) Timeout specifies the timeout, in seconds, for fetching the specified measurement. Set this value to an appropriate time, longer than expected for fetching the measurement. A value of -1 specifies that the VI waits until the measurement is complete. The default value is 10.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

Spectrum

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SA Commit.vi

This VI commits setting to hardware and also configures the IQ rate and number of Samples.

Number of Samples= Acquisition Length * IQ Rate

Instrument Handle In

Waveform Parameters

Acquisition Length, Seconds External Attenuation Specifies the attenuation, in dB, of a switch (or cable) connected to the RF IN connector of the signal analyzer. For more information about attenuation, refer to the Attenuation and Signal Levels topic for your device in the NI RF Vector Signal Analyzers Help.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out

error out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye Z-Wave SA Configure Modulation.vi

The following properties are configured in the RFmx Demod API VIs.

i. Modulation Type set to FSK
ii. Frequency Deviation (20k or 29k) as per standard
iii. Symbol rate (19.2k or 40k or 100k) as per standard
iv. Pulse shaping Filter Type set to none or gaussian
v. Synchronization Bits as per the standard and configured in the RFmx session handle
vi. Samples per symbol set to 16

Instrument Handle In

Selector String Selector String comprises of the signal name. If you do not specify the signal name, the default signal instance is used. The default value is "" (empty string).

Example:

""

"signal::sig1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Waveform Parameters

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

Instrument Handle Out

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye Z-Wave SA Fetch Demodulated Bits.vi

Returns the following

i. Demodulated bits (Before despreading)
ii. Physical Layer Payload bytes (PPDU)
iii. MAC Payload Bytes (MPDU)
iv. MAC Frame Measurements ( Includes MAC CRC Status, Whether Complete Packet Received or not
(Packet Received is whether complete or partial packet as a boolean indicator), Total number of packets received, Number of packet errors)
v. MAC Frame Level Parameters
vi. PPDU Frame Lenth in Chips.

The packet error measurement can be reset using the input boolean control Reset PER measurement.

Instrument Handle In

Frame Measurements

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

Frame Measurements

Waveform Parameters

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Timeout (s) Timeout specifies the time, in seconds, for which the VI waits for the measurement to complete. A value of -1 specifies that the VI waits until the measurement is complete.

Instrument Handle Out

error Out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye Z-Wave SA Fetch Demodulated Symbols.vi

Returns the I vs Time and Q vs Time of the measured and reference waveform.

Instrument Handle In

Selector String Selector String comprises the signal name and result name. If you do not specify the signal name, the default signal instance is used.

Example:

""

"signal::sig1"

"result::r1"

"signal::sig1/result::r1"

You can use the RFmxDemod Build Signal String VI to build the selector string.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Timeout (s) Timeout specifies the time, in seconds, for which the VI waits for the measurement to complete. A value of -1 specifies that the VI waits until the measurement is complete.

Instrument Handle Out

I vs Time

Q vs Time

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Output Sampling Rate.vi

Configures the Output Sampling Rate (Hz) property of the Z-Wave Signal Generation handle.

The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

Z Wave Generation Handle in

Output Sampling Rate

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Oversampling Enabled.vi

This VI configures the Oversampling Enabled? Property in the Z-Wave signal generation handle. The valid value is either TRUE or FALSE.

The default value is FALSE.

Z Wave Generation Handle in

Oversampling Enabled ?

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave RFSG Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the Z-Wave Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

Z Wave Generation Handle

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out passes a reference from the instrument session to the next VI.

Z Wave Generation Handle out

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave Set Carrier Frequency.vi

This VI selects the frequency corresponding to RF Profile

Centre Frequency

RF Profile Based on RF Profile the carrier frequency and data rates are automatically configured.

Carrrier Frequency


MaxEye Z-Wave Generation Save Waveform in File.vi

This VI perfoms the following.

i. Checks the configuration parameters in the Z-Wave Signal Generation handle and returns an error if the configuration is not valid.
ii. Creates the Z-Wave waveform as per the configured parameters.
iii. Writes the created waveform in the file as per the waveform file path location configured by the user

Z-Wave Generation Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z-Wave Generation Handle

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Close Handle.vi

Closes the Z-Wave Signal Generation handle and resources associated with it.

Z-Wave Generation Handle

error in error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye Z-Wave SG Configure Channel Frequency.vi

MAXEYE TECHNOLOGIES Private Limited
Z-Wave Measurement Suite

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye Z-Wave SG MAC Header.vi

Configures the MAC Header Fields in the Z-Wave Signal Generation Handle.
MAC Header Field Consists of
HomeID
Source NodeID
Frame Control Fields
Destination NodeID

Z Wave Generation Handle

MAC Header

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Open Handle.vi

This VI creates Z-Wave Generation Handle with the default values and passes the handle to the later VIs.

Name of Queue

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Read Waveform From File.vi

Reads the Z-Wave waveform from the given file location based on the value configured in the count input parameter. The number of bytes read from the file is equal to the value of the count. The data is read continuously from the file.

The default value of the count is 1.

File Refnum

Count

Sample width

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

refnum out

Data

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Channel Configuration.vi

Configures the Channel Configuration in the Z-Wave Signal Generation Handle.
Z-Wave supports three Channel Configurations. Based on the channel configuration the fame structure of the Z-Wave Frame also changes.
Default Value is Channel Configuration 2.

Z Wave Generation Handle

Channel Configuration

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Data Rate.vi

Configures the Data Rate Field in the Z-Wave Signal Generation Handle.
Select data rate according to RF Profile and Channel Configuration. Z-Wave supports three data rates- 9.6kbps, 40kbps, 100kbps
Default Value is Channel Configuration 9.6kbps.

Z Wave Generation Handle

Data Rate

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Frame Format.vi

Configures the Frane Format in the Z-Wave Signal Generation Handle.
Choose Z-Wave for Z-Wave Format
Choose RF LinkX for RF LinkX Frame. This frame is mainly used for RF Testing using Sigma Designs DUT.
Default Value is Z-Wave

Z-Wave Generation Handle

FrameType

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z-Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Frame Type.vi

Configures the Frame Type in the Z-Wave Signal Generation Handle.
Frame Type describes whether it is a normal frame or beam frame. Beam frames may be used to awaken battery powered nodes operating in Frequently Listening(FL) mode.
Default Value is Singlecast/ Multicast

Z Wave Generation Handle

Frame Type

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Headroom.vi

This VI configures the Head room property in the Z-Wave Signal Generation handle. The toolkit uses this value for scaling the waveform. If the PAPR of the signal is higher than the Head room value then the toolkit clips the signal. To avoid clipping Head room value should be higher than PAPR of the signal.

The default value is 3 dB.

Z Wave Generation Handle

Headroom, dB

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Impairment Configuration.vi

Configures the Impairment properties for the Z-Wave Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

Z Wave Generation Handle

Impairments

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Inter Frame Spacing.vi

Configures the Inter Frame Spacing property in the Z-Wave Signal Generation handle. This property specifies the gap duration in seconds between the frames.

The default value is 0.0001.

Z Wave Generation Handle

Inter Frame Spacing (Seconds)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Number of Frames.vi

This VI configures the Number of Frames property in the Z-Wave signal generation handle. The toolkit uses the same frame configuration for all the frames and the payload is continuous across frames.

The valid value should be greater than 0.

The default value is 1.

Z Wave Generation Handle

Number of Frames

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Payload Configuration.vi

This VI configures the Payload properties for the Z-Wave Signal generation handle. The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

Z Wave Generation Handle

Payload Control

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Power Ramp Up And DownTime.vi

Configures the value for the Power Ramp Up And Down Time property, in seconds in the Z-Wave Signal Generation handle.

The Power Ramp Up Time property specifies the time duration during which the signal power gradually increases to the full value from zero.
The default value is 5us.

Z Wave Generation Handle in

Power Ramp Up Time (Seconds) Specifies the Carrier to Noise Ratio in dB. The default value is 50dB.

Power Ramp Down Time(Seconds)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Preamble size.vi

Configures the preamble size Field in the Z-Wave Signal Generation Handle.
he preamble byte consists of 01010101. Based on the preamble size these bits are repeating. The standard describes the range of preamble size.
Default Value is 10

Z Wave Generation Handle

Preamble size

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Progress Bar Control Refnum.vi

Configures the control refnum in the Z-Wave Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

Z Wave Generation Handle in

Progress Bar Control RefNum

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set RF Profile.vi

Configures the RF Profile in the Z-Wave Signal Generation Handle.
Based on RF Profile the carrier frequency and data rates are automatically configured.
Default Value is Custom.

Z Wave Generation Handle

RF Profile Based on RF Profile the carrier frequency and data rates are automatically configured.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Sample Width.vi

Configures the Sample Width property in the Z-Wave Signal Generation handle. The toolkit uses this value only when MaxEye Z-Wave Generation Save Waveform in File API VI is used for storing the generated waveform in the file.

Z Wave Generation Handle

Sample Width

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Samples per Symbol.vi

Configures the Samples Per symbol property in the ZigBee OQPSK Signal Generation handle. The sampling rate of the generated waveform equals to the Samples Per Symbol multiplied by the Symbol Rate.

The default value is 16.

Z Wave Generation Handle

Samples per symbol (16)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SG Set Waveform File Path.vi

This VI configures the file path where the waveform have to be stored.

Z Wave Generation Handle in

Waveform File Path

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Z Wave Generation Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave USRP Create and Download Waveform.vi

session handle session handle identifies your instrument session.

Z-Wave Generation Handle

Stop Generation

timeout timeout specifies the time to wait, in seconds, before returning an error if the requested number of samples have not been generated.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

session handle out

Z Wave Generation Handle

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye Z-Wave SA Configure SEM Offset Segments.vi

This VI configures the SEM Offset Segment properties. The SEM Offset Segment includes the following properties.

i. SEM Offset Segment Enabled
ii. Offset Frequency (Start, Stop and Sideband)
iii. RBW Filter Type and RBW
iv. Mask Limits both Absolute and Relative

Instrument Handle In Instrument Handle Out passes a reference to your RFmx session to the next VI.

Selector String

Offset Segments

Limit Fail Mask

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Instrument Handle Out Instrument Handle Out passes a reference to your RFmx session to the next VI.

error out error out passes error or warning information out of a VI to be used by other VIs.